{% extends 'base.html' %}
{% load static %}
{% block content %}
<link rel="stylesheet" href="{% static 'Pengalaman.css' %}">

<h1 id="h1ya">Bagikan Ceritamu!</h1>
<p id="serverTime" style="text-align: center;"></p>
<button onclick="topFunction()" id="myBtn" title="Go to top">Top</button>

{% if user.is_authenticated %}

<div>
    <form id="form" method="POST">
        {% csrf_token %}
        <p class="pertanyaan">Nama:</p>
        <p>{{form.nama}}</p>
        <p class="pertanyaan">Ceritakan pengalaman kamu:</p>
        <p>{{form.cerita}}</p>
        <button type="submit">Post</button>
    </form>
    <div class="input">
        <p id="p1">Ketikkan sebuah nama untuk mengetahui cerita yang dibagikannya!</p>
        <input id="input" placeholder="search a name..">
    </div>
    <!-- <div id="hasil">
    </div> -->
    {% for i in listPengalaman %}
    <div class="dataNama">{{i.nama}}</div>
    <div class="dataCerita">{{i.cerita}}</div>
    <br><br>
    {% endfor %}
</div>

{% else %}

<p id="belomLogin"><a href="{% url 'login:login' %}">Login</a> terlebih dahulu untuk membagikan ceritamu!</p>
{% for i in listPengalaman %}
    <div class="dataNama">{{i.nama}}</div>
    <div class="dataCerita">{{i.cerita}}</div>
    <br><br>
{% endfor %}

{% endif %}

<script src="{% static 'script.js' %}"></script>
<script src="https://code.jquery.com/jquery-3.2.1.min.js"></script>
<script>
    function topFunction() {
        document.body.scrollTop = 0;
        document.documentElement.scrollTop = 0;
    }
</script>

{% endblock %}